#!/usr/bin/env ruby

require 'log4r'
require 'log4r/yamlconfigurator'
require 'log4r/outputter/datefileoutputter'

module PDO
  module Logging

    include Log4r
    # set the default log directory
    Log4r::YamlConfigurator['LOGDIR'] =
      File.expand_path("#{File.dirname(__FILE__)}/../../log")

    def logger

      return @logger if @logger

      conf_dir = File.expand_path("#{File.dirname(__FILE__)}/../../conf")

      [conf_dir, '/etc/pdo', "#{ENV['HOME']}/.pdo"].each { |dir|
        conf = "#{dir}/log4r.yaml"
        Log4r::YamlConfigurator.load_yaml_file conf if File.exists? conf
      }

      @logger = Logger[self.class.to_s] || Logger['pdo']

    end

  end # module Logging
end # module PDO

# vim: set et ts=2 sts=2 sw=2 si sta :
